Skip to main content
curl -X POST https://checkout.noxpay.io/v2/naas/withdraw \
  -H "api-key: <key>" \
  -H "X-Signature: <signed-body-signature>" \
  -H "Content-Type: application/json" \
  -d '{
    "timestamp": "2026-05-19T14:30:00Z",
    "correlation_id": "a1b2c3d4-e5f6-4789-abcd-000000000001",
    "payload": {
      "account": "USDT_ETH",
      "amount": "500.00",
      "wallet": "fb-wallet-abc123",
      "withdrawalType": "crypto",
      "note": "Monthly settlement"
    }
  }'
import requests

body, sig = sign_envelope({
    "account":        "USDT_ETH",
    "amount":         "500.00",
    "wallet":         "fb-wallet-abc123",
    "withdrawalType": "crypto",
    "note":           "Monthly settlement",
}, "a1b2c3d4-e5f6-4789-abcd-000000000001")
response = requests.post(
    "https://checkout.noxpay.io/v2/naas/withdraw",
    headers={"api-key": "<key>", "X-Signature": sig, "Content-Type": "application/json"},
    data=body,
)
print(response.json())
const { body, signature } = signEnvelope({
  account:        "USDT_ETH",
  amount:         "500.00",
  wallet:         "fb-wallet-abc123",
  withdrawalType: "crypto",
  note:           "Monthly settlement",
}, "a1b2c3d4-e5f6-4789-abcd-000000000001");
const response = await fetch("https://checkout.noxpay.io/v2/naas/withdraw", {
  method: "POST",
  headers: { "api-key": "<key>", "X-Signature": signature, "Content-Type": "application/json" },
  body,
});
const data = await response.json();
{ "link": "https://checkout.noxpay.io/e2e/NOXwd123" }
The destination must already be on the sub-merchant’s whitelist. Use List Whitelist Groups to retrieve the walletId of the destination group.

Payload fields

FieldTypeRequiredDescription
accountstringYesCurrency/ledger code of the account to debit (e.g. USDT_ETH)
amountstringYesAmount to withdraw as a decimal string
walletstringYesFireblocks wallet group ID
withdrawalTypestringYesType identifier for the withdrawal process
notestringNoInternal note attached to the process

Response 200 OK

{ "link": "https://checkout.noxpay.io/e2e/NOXwd123" }
The link points to the withdrawal process page.
curl -X POST https://checkout.noxpay.io/v2/naas/withdraw \
  -H "api-key: <key>" \
  -H "X-Signature: <signed-body-signature>" \
  -H "Content-Type: application/json" \
  -d '{
    "timestamp": "2026-05-19T14:30:00Z",
    "correlation_id": "a1b2c3d4-e5f6-4789-abcd-000000000001",
    "payload": {
      "account": "USDT_ETH",
      "amount": "500.00",
      "wallet": "fb-wallet-abc123",
      "withdrawalType": "crypto",
      "note": "Monthly settlement"
    }
  }'
import requests

body, sig = sign_envelope({
    "account":        "USDT_ETH",
    "amount":         "500.00",
    "wallet":         "fb-wallet-abc123",
    "withdrawalType": "crypto",
    "note":           "Monthly settlement",
}, "a1b2c3d4-e5f6-4789-abcd-000000000001")
response = requests.post(
    "https://checkout.noxpay.io/v2/naas/withdraw",
    headers={"api-key": "<key>", "X-Signature": sig, "Content-Type": "application/json"},
    data=body,
)
print(response.json())
const { body, signature } = signEnvelope({
  account:        "USDT_ETH",
  amount:         "500.00",
  wallet:         "fb-wallet-abc123",
  withdrawalType: "crypto",
  note:           "Monthly settlement",
}, "a1b2c3d4-e5f6-4789-abcd-000000000001");
const response = await fetch("https://checkout.noxpay.io/v2/naas/withdraw", {
  method: "POST",
  headers: { "api-key": "<key>", "X-Signature": signature, "Content-Type": "application/json" },
  body,
});
const data = await response.json();
{ "link": "https://checkout.noxpay.io/e2e/NOXwd123" }